Subject: Re: bug#7643: Build failure for SGI IRIX MIPS

From: Glenn Morris <[email-masked]>
Date: Fri, 07 Oct 2011 14:48:19 -0400

Rainer Orth wrote:

> I fear that's exactly the problem: IPv6 support was only added in a
> later update of IRIX 6.5 (don't recall exactly which one), so without
> knowing what Nelson is (was) running, it's hard to tell.  Maybe emacs
> assumes IPv6 support unconditionally (or the test was insufficient)?

Thanks for looking at this.

However, all the relevant places in process.c seems to be inside #ifdef
AF_INET6, where AF_INET6 is defined by the system headers, not by Emacs.
So if IPv6 support is not present these sections should never be seen.